WWP Engine Docs
API ReferenceClients

Get

POST
/clients/get

Authorization

ApiKeyAuth
x-api-key<token>

API key from /account/api-keys. Free tier: 100 req/hr. Pro tier: 1000 req/hr.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id*string

Response Body

application/json

curl -X POST "https://gmp.ffstudios.io/api/rpc/clients/get" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{
  "id": "string",
  "userId": "string",
  "phoneNumber": "string",
  "name": "string",
  "lastActivityAt": "2019-08-24T14:15:22Z",
  "humanHandoffDurationSec": -2147483648,
  "mainMenuFlowId": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "workerDesiredState": "string",
  "workerStateUpdatedAt": "2019-08-24T14:15:22Z"
}